<!--
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements. See the NOTICE file
distributed with this work for additional information
regarding copyright ownership. The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied. See the License for the
specific language governing permissions and limitations
under the License.
-->
<%@ page import="java.io.PrintWriter" %>
<%@ page import="java.io.StringWriter" %>
<%@ page import="java.sql.SQLException" %>

<html>
<head>
    <title>Error Occurs</title>
    <link rel="stylesheet" href="css/main.css" type="text/css">
</head>
<body>
<br>

<div class="Content" align="center">
    <table>
        <tr>
            <td class="Title">Error Occurs !!!</td>
        </tr>
        <tr></tr>
        <%
            String poolName = (String) request.getAttribute("poolName");
            SQLException error = (SQLException) request.getAttribute("error");
        %>
        <tr>
            <td class="Body">
                <strong>Following error occurs in executing your operation in <%=poolName%> pool.</strong>
            </td>
        </tr>
        <tr></tr>
        <%
            if (error != null) {
                StringWriter sw = new StringWriter(2000);
                PrintWriter pw = new PrintWriter(sw);
                error.printStackTrace(pw);
        %>
        <tr>
            <td class="Body">
                <%=sw.toString()%>
            </td>
        </tr>
        <%
            }
        %>
    </table>
</div>
</body>
</head>
</html>