<!--
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements. See the NOTICE file
distributed with this work for additional information
regarding copyright ownership. The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied. See the License for the
specific language governing permissions and limitations
under the License.
-->
<%@ page import="java.util.ArrayList" %>
<html>
<head>
    <title>Table Content</title>
    <link rel="stylesheet" href="css/main.css" type="text/css">
</head>
<body>
<center>
    <br>

    <div class="Content">
        <%
            String poolName = (String) request.getAttribute("poolName");
            String tableName = (String) request.getAttribute("tableName");
            ArrayList content = (ArrayList) request.getAttribute("tableContent");
        %>
        <table>
            <tr>
                <td class="Title"><strong>Contents of <%=tableName%> Table</strong></td>
            </tr>
            <tr></tr>
            <tr>
                <td class="Body">
                    <p>
                        The content of <%=tableName%> Table from your <%=poolName%> pool.
                    </p>
                </td>
            <tr>
                <td class="Body">
                    <table align="center">
                        <tr>
                            <%
                                ArrayList header = (ArrayList) content.get(0);
                                for (int i = 0; i < header.size(); i++) {
                                    String headerName = (String) header.get(i);
                            %>
                            <td class="DarkBackground"><%=headerName%>
                            </td>
                            <%
                                }
                            %>
                        </tr>
                        <%
                            for (int i = 1; i < content.size(); i++) {
                                ArrayList row = (ArrayList) content.get(i);
                                String rowColor = "LightBackground";
                                if (i % 2 == 0) {
                                    rowColor = "MediumBackground";
                                }
                        %>
                        <tr>
                            <%

                                     for(int j=0; j<row.size(); j++){
                                             String element = (String)row.get(j);

                            %>
                            <td class="<%=rowColor%>"><%=element%>
                            </td>
                            <%

                                     }
                             }

                            %>
                    </table>
                </td>
            </tr>
            <tr></tr>
            <tr>
                <td class="Body">
                    <center>
                        <div>
                            <a href="../dbtester/dbtester.jsp" target="sampleDocumentFrame"><strong>Test Another Pool</strong></a>
                        </div>
                    </center>
                </td>
            </tr>
        </table>
    </div>
</center>
</body>
</html>