<!--
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements. See the NOTICE file
distributed with this work for additional information
regarding copyright ownership. The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied. See the License for the
specific language governing permissions and limitations
under the License.
-->
<%@ page import="java.util.ArrayList" %>
<%@ page import="java.util.HashMap" %>
<%@ page import="java.util.Iterator" %>
<html>
<head>
    <title>Schemas and Tables</title>
    <link rel="stylesheet" href="css/main.css" type="text/css">
</head>
<body>
<center>
    <br>

    <div class="Content">
        <table>
            <tr>
                <td class="Title"><strong>Schemas and Tables</strong></td>
            </tr>
            <tr></tr>
            <tr>
                <td class="Body">
                    <p>
                        Displayed below are the list of Schemas and their Tables, from your database.
                        To view the content of each table click on <strong>list</strong> link.
                    </p>
                </td>
            <tr>
                <td class="Body">
                    <table align="center">
                        <%
                            String poolName = (String) request.getAttribute("poolName");
                            String userName = (String) request.getAttribute("username");
                            String password = (String) request.getAttribute("password");

                            HashMap tableMap = (HashMap) request.getAttribute("tableMap");
                            for (Iterator iterator1 = tableMap.keySet().iterator(); iterator1.hasNext();) {
                                String schemaName = (String) iterator1.next();
                        %>

                        <%
                            String displayName = "    ";
                            if (schemaName != null) {
                                displayName = schemaName;// since MySQL returns it as null and it's ugly :)
                            }
                        %>

                        <tr>
                            <td class="DarkBackground">Schema:</td>
                            <td class="DarkBackground"><%=displayName%>
                            </td>
                        </tr>

                        <%
                            ArrayList tableList = (ArrayList) tableMap.get(schemaName);
                            int counter = 1;
                            for (Iterator iterator2 = tableList.iterator(); iterator2.hasNext(); counter++) {
                                String tableName = (String) iterator2.next();
                                String rowColor = "LightBackground";
                                if (counter % 2 == 0) {
                                    rowColor = "MediumBackground";
                                }
                        %>
                        <tr>
                            <td class="<%=rowColor%>"><%=tableName%>
                            </td>
                            <td class="<%=rowColor%>"><a href="listContent?poolName=<%=poolName%>&schemaName=<%=schemaName%>&tableName=<%=tableName%>&username=<%=userName%>&password=<%=password%>">list</a></td>
                        </tr>
                        <%
                            }
                        %>
                        <%
                            }
                        %>
                        <tr>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr></tr>
            <tr>
                <td class="Body">
                    <center>
                        <div>
                            <a href="../dbtester/dbtester.jsp" target="sampleDocumentFrame"><strong>Test Another Pool</strong></a>
                        </div>
                    </center>
                </td>
            </tr>
        </table>
    </div>
</center>
</body>
</html>